Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class SAXSourceLocator

    java.lang.Object
      |
      +--org.xml.sax.helpers.LocatorImpl
            |
            +--weblogic.apache.xml.utils.SAXSourceLocator

public class SAXSourceLocator
extends org.xml.sax.helpers.LocatorImpl
implements javax.xml.transform.SourceLocator, java.io.Serializable

Class SAXSourceLocator extends org.xml.sax.helpers.LocatorImpl for the purpose of implementing the SourceLocator interface, and thus can be both a SourceLocator and a SAX Locator.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`SAXSourceLocator()` Constructor SAXSourceLocator
`SAXSourceLocator(org.xml.sax.Locator locator)` Constructor SAXSourceLocator
`SAXSourceLocator(org.xml.sax.SAXParseException spe)` Constructor SAXSourceLocator

Method Summary
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.

Methods inherited from class org.xml.sax.helpers.LocatorImpl
`setColumnNumber, setLineNumber, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXSourceLocator

    public SAXSourceLocator()

  Constructor SAXSourceLocator

### SAXSourceLocator

    public SAXSourceLocator(org.xml.sax.Locator locator)

  Constructor SAXSourceLocator

  Parameters:
    `locator` - Source locator

### SAXSourceLocator

    public SAXSourceLocator(org.xml.sax.SAXParseException spe)

  Constructor SAXSourceLocator

  Parameters:
    `spe` - SAXParseException exception.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    getPublicId in interface javax.xml.transform.SourceLocator

  Returns:
    A string containing the public identifier, or null if none is available.
  Overrides:
    getPublicId in class org.xml.sax.helpers.LocatorImpl
  See Also:
    `getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    getSystemId in interface javax.xml.transform.SourceLocator

  Returns:
    A string containing the system identifier, or null if none is available.
  Overrides:
    getSystemId in class org.xml.sax.helpers.LocatorImpl
  See Also:
    `getPublicId()`

### getLineNumber

    public int getLineNumber()

  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  Specified by:
    getLineNumber in interface javax.xml.transform.SourceLocator

  Returns:
    The line number, or -1 if none is available.
  Overrides:
    getLineNumber in class org.xml.sax.helpers.LocatorImpl
  See Also:
    `getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  Specified by:
    getColumnNumber in interface javax.xml.transform.SourceLocator

  Returns:
    The column number, or -1 if none is available.
  Overrides:
    getColumnNumber in class org.xml.sax.helpers.LocatorImpl
  See Also:
    `getLineNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference